Completions
Given a prompt, the model will return one or more predicted completions, and can also return the probabilities of alternative tokens at each position.
Create completion
ModelsExpand Collapse
class Completion { id, choices, created, 4 more } Represents a completion response from the API. Note: both the streamed and non-streamed response objects share the same shape (unlike the chat endpoint).
Represents a completion response from the API. Note: both the streamed and non-streamed response objects share the same shape (unlike the chat endpoint).
The list of completion choices the model generated for the input prompt.
The list of completion choices the model generated for the input prompt.
finish_reason: :stop | :length | :content_filterThe reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
or content_filter if content was omitted due to a flag from our content filters.
The reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
or content_filter if content was omitted due to a flag from our content filters.
This fingerprint represents the backend configuration that the model runs with.
Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.
class CompletionChoice { finish_reason, index, logprobs, text }
finish_reason: :stop | :length | :content_filterThe reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
or content_filter if content was omitted due to a flag from our content filters.
The reason the model stopped generating tokens. This will be stop if the model hit a natural stop point or a provided stop sequence,
length if the maximum number of tokens specified in the request was reached,
or content_filter if content was omitted due to a flag from our content filters.
class CompletionUsage { completion_tokens, prompt_tokens, total_tokens, 2 more } Usage statistics for the completion request.
Usage statistics for the completion request.